/* Usage: java peaktraffic_test <l> <seed> <output_file>
 * 2^l is the number of members (2 <= l <= 22).
 * seed is a 32-bit integer used to seed the random number generator.
 */
public class peaktraffic_test {
  public static void main(String[] args) {
    int l = Integer.parseInt(args[0]);
    if (l < 2 || l > 22) {
      System.exit(1);
    }
    int seed = Integer.parseInt(args[1]);
    Xorshift r = new Xorshift(seed);
    Spacer sp = new Spacer(args[2]);
    for (int i = 0; i < (1 << (l + 4)) * (l + 4); i++) {
      int a = 0;
      int b = 0;
      for (int j = 0; j < l; j++) {
        a *= 2;
        b *= 2;
        int x = (int)((0xffffffffL & r.next()) % 20);
        if (x < 11) a++;
        if (x < 8 || x >= 18) b++;
      }
      sp.print("Thu Jan 01 00:00:00 UTC 1970\t");
      sp.print(a);
      sp.print("@example.com\t");
      sp.print(b);
      sp.print("@example.com");
      sp.println();
    }
    sp.close(seed % 3);
  }
  /* Marsaglia's Xorshift: http://www.jstatsoft.org/v08/i14/ */
  static class Xorshift {
    Xorshift(int seed) {
      x = seed;
    }
    int next() {
      int t = x ^ (x >>> 7);
      x = y;
      y = z;
      z = w;
      w = v;
      v = v ^ (v << 6) ^ t ^ (t << 13);
      return (y + y + 1) * v;
    }
    int x = 123456789;
    int y = 362436069;
    int z = 521288629;
    int w = 88675123;
    int v = 886756453;
  }
}
